Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/entities/getapi-v-1-entities-entity-type-display-id-links

# Get all linked entities with relationship information

GET `https://{tenant}.atomicwork.com/api/v1/entities/{entity_type}/{display_id}/links`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### entity\_type (path, enum (string), required)

The entity type (e.g. REQUEST, CHANGE)

#### display\_id (path, string, required)

The display ID of the source entity (e.g. REQ-123, CHG-456)

## Query Parameters

#### reference\_key (query, string)

Reference key of the implicit relationship field definition

#### page (query, integer)

Page number for pagination

#### per\_page (query, integer)

Number of items per page

#### search\_key (query, string)

Search keyword to filter linked entities by display ID or subject

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/entities/{entity_type}/{display_id}/links' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/entities/{entity_type}/{display_id}/links', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/entities/{entity_type}/{display_id}/links',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
